VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisiMath.Geometry.IConvexObject Interface Reference

interface for convex objects for collision solver More...

Inheritance diagram for VisiMath.Geometry.IConvexObject:

List of all members.

## Public Member Functions
void | GetVertex (int index, out Vector3 vertex)
| Returns vertex with specified index, valid for explicit object types.
bool | ContainsPosition (Vector3 vec)
| Returns true if convex object contains position.
void | GetLocalSupportingVertex (ref Vector3 direction, out Vector3 vertex)
| Gets supporting vertex in local coordinates.
## Properties
ConvexObjectType | BaseType`[get]`
| Returns implicit (math expression) or explicit (vertex based) type of convex object.
int | VertexCount`[get]`
| Returns number of vertices, valid for explicit object types.

## Detailed Description

interface for convex objects for collision solver

## Member Function Documentation

bool VisiMath.Geometry.IConvexObject.ContainsPosition | ( | Vector3 | vec | ) |

Returns true if convex object contains position.

Parameters:

  vec | Position to check

Returns:
  True if inside

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.TriangleShape, VisiMath.Geometry.Cylinder, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.OOBox, VisiMath.Geometry.Point3D, VisiMath.Geometry.Pyramid, and VisiMath.Geometry.Sphere.

void VisiMath.Geometry.IConvexObject.GetLocalSupportingVertex | ( | ref Vector3 | direction,
|  | out Vector3 | vertex
| ) |  |

Gets supporting vertex in local coordinates.

Parameters:

  vertex | Save vertex
  direction | Direction vector

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.TriangleShape, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.Cylinder, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.OOBox, VisiMath.Geometry.Point3D, VisiMath.Geometry.Pyramid, and VisiMath.Geometry.Sphere.

void VisiMath.Geometry.IConvexObject.GetVertex | ( | int | index,
|  | out Vector3 | vertex
| ) |  |

Returns vertex with specified index, valid for explicit object types.

Parameters:

  index | index of vertex
  vertex | Vector to save vertex

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.TriangleShape, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.Cylinder, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.OOBox, VisiMath.Geometry.Point3D, VisiMath.Geometry.Pyramid, and VisiMath.Geometry.Sphere.

## Property Documentation

ConvexObjectType VisiMath.Geometry.IConvexObject.BaseType`[get]`

Returns implicit (math expression) or explicit (vertex based) type of convex object.

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.TriangleShape, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.Cylinder, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.OOBox, VisiMath.Geometry.Point3D, VisiMath.Geometry.Pyramid, and VisiMath.Geometry.Sphere.

int VisiMath.Geometry.IConvexObject.VertexCount`[get]`

Returns number of vertices, valid for explicit object types.

Implemented in VisiMath.Geometry.AABox, VisiMath.Geometry.TriangleShape, VisiMath.Geometry.ConvexHull, VisiMath.Geometry.Cylinder, VisiMath.Geometry.LineSegment3D, VisiMath.Geometry.OOBox, VisiMath.Geometry.Point3D, VisiMath.Geometry.Pyramid, and VisiMath.Geometry.Sphere.

The documentation for this interface was generated from the following file:

- ConvexObject.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events